Subject: fast-import fails in read-only tree

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 Jan 2016 17:17:36 -0500

I recently discovered that "git fast-import" signals an error if used in
a tree to which we do not have write-access, because it tries to create
a "objects/pack/tmp_pack_XXX" file even before starting to process
the commands.

Usually this is not a problem (we'll create new commits and such, so
write-access is indeed necessary), but in my case I was using
fast-import only for its "reading" operations (in order to combine
several inter-dependent "cat-file" operations into a single git
session).

        Stefan